/// <reference types="react" />
import { CurveType } from '../lib/curve';
import { AnimationProps, DataAccessor, DataGetter, NativeEventHandlers, SvgAttributesGetters } from '../lib/types';
export declare type AreaAxesConfig<T> = DataAccessor<T> | {
    base: DataGetter<T>;
    to: DataAccessor<T>;
};
export interface AreaProps<T> extends AnimationProps<T[]>, Pick<SvgAttributesGetters<T>, 'x' | 'y1' | 'y2'>, Omit<SvgAttributesGetters<T[]>, 'x' | 'y1' | 'y2'>, NativeEventHandlers<T[]> {
    data: T[];
    'x-data': DataAccessor<T>;
    'y-data': AreaAxesConfig<T>;
    curve?: CurveType;
}
export declare function Area<T>({ data, 'x-data': dataX, 'y-data': _dataY, curve, x: _x, y1: _y1, y2: _y2, ...props }: AreaProps<T>): JSX.Element;
