import React from 'react';
import { AnimationProps, Component, DataValue, Filter } from '../lib/types';
import { SvgAttributes } from '../lib/types.svg';
export interface GridProps {
    children?: React.ReactNode;
    xAnchor?: 'bottom' | 'top' | 'none';
    yAnchor?: 'left' | 'right' | 'none';
    /** Ideal number di pixel per tick */
    tickSize?: number;
    /** Ideal total number of ticks */
    tickCount?: number;
}
export interface GridLinesProps extends Omit<SvgAttributes, 'filter'>, AnimationProps<DataValue> {
    ticks?: DataValue[];
    filter?: Filter<DataValue>;
}
export interface GridLabelsProps extends Omit<SvgAttributes, 'filter' | 'format'>, AnimationProps<DataValue> {
    format?: (allValues: DataValue[]) => (value: DataValue, i: number) => string;
    padding?: number;
    threshold?: number;
    inner?: boolean;
    ticks?: DataValue[];
    filter?: Filter<DataValue>;
}
export declare type GridComponent = Component<GridProps> & {
    XAxes: Component<SvgAttributes>;
    YAxes: Component<SvgAttributes>;
    XLabels: Component<GridLabelsProps>;
    YLabels: Component<GridLabelsProps>;
    XLines: Component<GridLinesProps>;
    YLines: Component<GridLinesProps>;
};
export declare type AxesAnchor = 'start' | 'end' | 'none';
export declare const Grid: GridComponent;
