/// <reference types="react" />
import { AnimationProps, SvgAttributesGetters, DataAccessor, NativeEventHandlers } from '../lib/types';
import { CurveType } from '../lib/curve';
export interface LineProps<T> extends AnimationProps<T[]>, Pick<SvgAttributesGetters<T>, 'x' | 'y'>, Omit<SvgAttributesGetters<T[]>, 'x' | 'y'>, NativeEventHandlers<T[]> {
    data: T[];
    'x-data'?: DataAccessor<T>;
    'y-data'?: DataAccessor<T>;
    curve?: CurveType;
}
export declare function Line<T>({ data, 'x-data': dataX, 'y-data': dataY, x: _x, y: _y, curve: curveType, ...props }: LineProps<T>): JSX.Element;
