import React, { CSSProperties, ReactNode } from 'react';
export declare const TooltipParentProvider: React.Provider<HTMLDivElement | null>;
export declare function useTooltipParent(): HTMLDivElement;
export declare type TooltipAnchor = 'start' | 'center' | 'end';
export interface TooltipProps {
    x: number;
    y: number;
    horizontalAnchor?: TooltipAnchor;
    verticalAnchor?: TooltipAnchor;
    children?: ReactNode;
    style?: CSSProperties;
    horizontalSpacing?: number;
    verticalSpacing?: number;
}
export declare function Tooltip({ x, y, children, style, horizontalAnchor, verticalAnchor, horizontalSpacing, verticalSpacing, }: TooltipProps): JSX.Element;
