import React, { ReactNode } from 'react';
import { AnimationIteratees, CartesianScale, ScaleOrdinal } from '../lib/types';
import { SvgAttributes } from '../lib/types.svg';
declare type ContextConsumer<T> = (props: {
    children: (value: T) => ReactNode;
}) => JSX.Element;
export declare const ChartContext: React.Context<{
    width: number;
    height: number;
    top: number;
    left: number;
    right: number;
    bottom: number;
}>, useChartContext: () => {
    width: number;
    height: number;
    top: number;
    left: number;
    right: number;
    bottom: number;
}, ChartConsumer: ContextConsumer<{
    width: number;
    height: number;
    top: number;
    left: number;
    right: number;
    bottom: number;
}>;
export declare const GridContext: React.Context<{
    xAxes: number;
    yAxes: number;
    xTicks: Array<number | string | Date>;
    yTicks: Array<number | string | Date>;
}>, useGridContext: () => {
    xAxes: number;
    yAxes: number;
    xTicks: Array<number | string | Date>;
    yTicks: Array<number | string | Date>;
}, GridConsumer: ContextConsumer<{
    xAxes: number;
    yAxes: number;
    xTicks: Array<number | string | Date>;
    yTicks: Array<number | string | Date>;
}>;
export declare const StyleContext: React.Context<SvgAttributes | null>, useStyleContext: () => SvgAttributes | null, StyleConsumer: ContextConsumer<SvgAttributes | null>;
export declare const AnimationContext: React.Context<AnimationIteratees<any> | null>, useAnimationContext: () => AnimationIteratees<any> | null, AnimationConsumer: ContextConsumer<AnimationIteratees<any> | null>;
export declare const CartesianContext: React.Context<{
    xScale: CartesianScale;
    yScale: CartesianScale;
    /** @deprecated */
    colorScale?: ScaleOrdinal | undefined;
}>, useCartesianContext: () => {
    xScale: CartesianScale;
    yScale: CartesianScale;
    /** @deprecated */
    colorScale?: ScaleOrdinal | undefined;
}, CartesianConsumer: ContextConsumer<{
    xScale: CartesianScale;
    yScale: CartesianScale;
    /** @deprecated */
    colorScale?: ScaleOrdinal | undefined;
}>;
export declare type Mouse = {
    x: number;
    y: number;
};
export declare const MouseContext: React.Context<Mouse | undefined>, useMouseContext: () => Mouse | undefined, MouseConsumer: ContextConsumer<Mouse | undefined>;
export {};
